BOOTLOGD(8)

NOME
bootlogd - regista mensagens de arranque

RESUMO
/sbin/bootlogd [-c] [-d] [-e] [-r] [-s] [-v] [ -l logfile ] [ -p pidfile ]

DESCRIÇÃO
bootlogd corre em segundo plano e copia todas as strings enviadas para o dispositivo /dev/console para um ficheiro de registo. Se o logfile não estiver acessível, as mensagens serão mantidas em memória até que esteja.

OPÇÕES

-d  Não se bifurca e corre nos bastidores.

-e  Escreve caracteres de escape no ficheiro de registo do arranque. Isto desliga a filtragem do caracteres de escape e permite que ferramentas como o less(1) do GNU vejam e usem caracteres de controlo de cores (mostram o registo a cores).

-c  Tenta escrever para o logfile mesmo que este não exista ainda. Sem esta opção, o bootlogd irá esperar que o logfile apareça antes de tentar escrever nele. Este comportamento previne o bootlogd de criar logfiles debaixo de pontos de montagem.

-r  Se existir um logfile chamado logfile renomeia-o para logfile~ a menos que logfile~ já exista.

-s  Assegura que os dados são escritos no ficheiro após cada linha ao chamar fdatasync(3). Isto irá abrandar um processo fsck(8) a correr em paralelo.

-v  Mostra a versão.

-l logfile
    Regista para este logfile. A predefinição é /var/log/boot.

-p pidfile
    Coloca id de processo neste ficheiro. A predefinição é nenhum pidfile.

NOTAS
O bootlogd salva dados de registo que incluem caracteres de controle. O registo é tecnicamente um ficheiro de texto, mas não muito fácil para humanos lerem. Para resolver isto pode ser usado o comando readbootlog(1) para mostrar o registo de arranque sem os caracteres de controle.

BUGS
O bootlogd funciona ao redirecionar os resultados da consola a partir do dispositivo de consola. (Como consequência o bootlogd requer suporte PTY na configuração do kernel.) Ele copia esses resultados para o dispositivo de consola real e para um ficheiro de registo (log). Não existe um modo standard de determinar o dispositivo de consola real se você tiver um dispositivo /dev/console ao estilo novo (maior 5, menor 1) assim o bootlogd analisa a linha de comandos do kernel à procura de linhas console=... e deduz o dispositivo de consola real a partir daí. Se essa sintaxe for alguma vez modificada pelo kernel, ou se for usado um tipo de consola que o bootlogd não conhece, então o bootlogd não irá funcionar.

AUTOR
Miquel van Smoorenburg (miquels@cistron.nl)

VEJA TAMBÉM
dmesg(8), fdatasync(3), readbootlog(1)